Loading...
Searching...
No Matches
DSRDocumentTreeNodeHasChildrenFilter Class Reference

Class implementing a document tree node filter that checks for the presence (or absence) of child nodes. More...

Inheritance diagram for DSRDocumentTreeNodeHasChildrenFilter:

## Public Member Functions

| DSRDocumentTreeNodeHasChildrenFilter (const OFBool hasChildren=OFTrue)
| (default) constructor
virtual | ~DSRDocumentTreeNodeHasChildrenFilter ()
| destructor
virtual OFBool | matches (const DSRDocumentTreeNode *node) const
| check whether given node matches the filter criterion
Public Member Functions inherited from DSRDocumentTreeNodeFilter
virtual | ~DSRDocumentTreeNodeFilter ()
| destructor

## Private Attributes

const OFBool | HasChildren
| mode specifying whether the filter matches on the presence or absence of child nodes

## Detailed Description

Class implementing a document tree node filter that checks for the presence (or absence) of child nodes.

## Constructor & Destructor Documentation

## DSRDocumentTreeNodeHasChildrenFilter()

DSRDocumentTreeNodeHasChildrenFilter::DSRDocumentTreeNodeHasChildrenFilter | ( | const OFBool | hasChildren = OFTrue | ) |

(default) constructor

Parameters

  hasChildren | mode specifying whether the filter matches on the presence (default) or absence of child nodes

## Member Function Documentation

## matches()

virtual OFBool DSRDocumentTreeNodeHasChildrenFilter::matches | ( | const DSRDocumentTreeNode * | node | ) | const

virtual

check whether given node matches the filter criterion

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criterion, OFFalse otherwise

Implements DSRDocumentTreeNodeFilter.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0